Withdraw assets from paper trader

POST https://api.cryptohopper.com/v1/hopper/{id}/papertrading/withdraw

Removes funds of one currency from the paper trading account of the hopper and refreshes its balances.

Only for hoppers with paper trading enabled.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/papertrading/withdraw" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"coin":"BTC","amount":0.5}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Request body

JSON, model PapertradingPost

FieldTypeRequiredDescription
coinstringRequired
amountnumberRequiredMinimum 0.

Response

Example response (illustrative values)

{
    "data": "0.5 BTC successfully withdrawn."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.